from pydantic_settings import BaseSettings
from typing import Literal

class Settings(BaseSettings):
    database_url: str
    environment: Literal["dev", "stage", "prod"]
    hashids_salt: str
    encoder_alphabet: str

    class Config:
        env_file = ".env"
        env_file_encoding = "utf-8"

# Singleton instance of settings
settings = Settings()